gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.UnixMountEntry

Contents

- Exported types
- Methods

Description

Defines a Unix mount entry (e.g. `/media/cdrom`). This corresponds roughly to a mtab entry.

Synopsis

- newtype UnixMountEntry = UnixMountEntry (ManagedPtr UnixMountEntry)

# Exported types

newtype UnixMountEntry Source #

Memory-managed wrapper type.

Constructors

UnixMountEntry (ManagedPtr UnixMountEntry) |

#### Instances

Instances details

Eq UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods (==) :: UnixMountEntry -> UnixMountEntry -> Bool Source # (/=) :: UnixMountEntry -> UnixMountEntry -> Bool Source #
GBoxed UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry
ManagedPtrNewtype UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods toManagedPtr :: UnixMountEntry -> ManagedPtr UnixMountEntry Source #
TypedObject UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods glibType :: IO GType Source #
HasParentTypes UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry
IsGValue (Maybe UnixMountEntry) Source # | Convert `UnixMountEntry` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Structs.UnixMountEntry Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe UnixMountEntry -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe UnixMountEntry) Source #
type ParentTypes UnixMountEntry Source # |
Instance details Defined in GI.Gio.Structs.UnixMountEntry type ParentTypes UnixMountEntry = '[] :: [Type]

# Methods